Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.generators.partition.Partitioner

class `mvpa2.generators.partition.``Partitioner`(count=None, selection_strategy='equidistant', attr='chunks', space='partitions', **kwargs)

  Generator node to partition a dataset.

  Partitioning is done by adding a sample attribute that assigns samples to an arbitrary number of partitions. Subclasses offer a variety of partitioning technique that are useful in e.g. cross-validation procedures.

  it is important to note that other than adding a new sample attribute input datasets are not modified. In particular, there is no splitting of datasets into multiple pieces. If this is desired, a Partitioner can be chained to a `Splitter` node to achieve this.

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `generate`(ds) |
  `get_partition_specs`(ds) | Returns the specs for all to be generated partition sets.
  `get_partitions_attr`(ds, specs) | Create a partition attribute array for a particular partion spec.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  Parameters:

  count : None or int

  > Desired number of splits to be output. It is limited by the number of splits possible for a given splitter (e.g. `OddEvenSplitter` can have only up to 2 splits). If None, all splits are output (default).

  selection_strategy : str

  > If `count` is not None, possible strategies are possible: ‘first’: First `count` splits are chosen; ‘random’: Random (without replacement) `count` splits are chosen; ‘equidistant’: Splits which are equidistant from each other.

  attr : str

  > Sample attribute used to determine splits.

  space : str

  > Name of the to be created sample attribute defining the partitions. In addition, a dataset attribute named ‘`space`_set’ will be added to each output dataset, indicating the number of the partition set it corresponds to.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Methods

  `generate`(ds) |
  `get_partition_specs`(ds) | Returns the specs for all to be generated partition sets.
  `get_partitions_attr`(ds, specs) | Create a partition attribute array for a particular partion spec.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  `attr`
  `generate`(ds)
  `get_partition_specs`(ds)

    Returns the specs for all to be generated partition sets.

    Returns: | list(lists) :

  `get_partitions_attr`(ds, specs)

    Create a partition attribute array for a particular partion spec.

    Parameters:

    ds : Dataset

    > This is this source dataset.

    specs : sequence of sequences

    > Contains ids of a sample attribute that shall go into each partition.

    Returns:

    array(ints) :

    > Each partition is represented by a unique integer value.

  `selection_strategy`
  `splitattr`

    DEPRECATED: to be removed in PyMVPA 2.1; use .attr instead

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »